Package org.eclipse.rdf4j.model.base

## Enum CoreDatatype.XSD

- java.lang.Object
- - java.lang.Enum<CoreDatatype.XSD>
  - - org.eclipse.rdf4j.model.base.CoreDatatype.XSD

- All Implemented Interfaces:
    `Serializable`, `Comparable<CoreDatatype.XSD>`, `CoreDatatype`
  Enclosing interface:
    CoreDatatype

      public static enum CoreDatatype.XSD
      extends Enum<CoreDatatype.XSD>
      implements CoreDatatype

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `CoreDatatype.GEO, CoreDatatype.RDF, CoreDatatype.XSD`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANYURI` |
    `BASE64BINARY` |
    `BOOLEAN` |
    `BYTE` |
    `DATE` |
    `DATETIME` |
    `DATETIMESTAMP` |
    `DAYTIMEDURATION` |
    `DECIMAL` |
    `DOUBLE` |
    `DURATION` |
    `ENTITIES` |
    `ENTITY` |
    `FLOAT` |
    `GDAY` |
    `GMONTH` |
    `GMONTHDAY` |
    `GYEAR` |
    `GYEARMONTH` |
    `HEXBINARY` |
    `ID` |
    `IDREF` |
    `IDREFS` |
    `INT` |
    `INTEGER` |
    `LANGUAGE` |
    `LONG` |
    `NAME` |
    `NCNAME` |
    `NEGATIVE_INTEGER` |
    `NMTOKEN` |
    `NMTOKENS` |
    `NON_NEGATIVE_INTEGER` |
    `NON_POSITIVE_INTEGER` |
    `NORMALIZEDSTRING` |
    `NOTATION` |
    `POSITIVE_INTEGER` |
    `QNAME` |
    `SHORT` |
    `STRING` |
    `TIME` |
    `TOKEN` |
    `UNSIGNED_BYTE` |
    `UNSIGNED_INT` |
    `UNSIGNED_LONG` |
    `UNSIGNED_SHORT` |
    `YEARMONTHDURATION` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAMESPACE` |

    - ### Fields inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<CoreDatatype.XSD>` | `asXSDDatatype()` |
    `IRI` | `getIri()` |
    `boolean` | `isBuiltInDatatype()` | Checks whether the supplied datatype is a built-in XML Schema datatype.
    `boolean` | `isCalendarDatatype()` | Checks whether the supplied datatype is equal to xsd:dateTime, xsd:date, xsd:time, xsd:gYearMonth, xsd:gMonthDay, xsd:gYear, xsd:gMonth or xsd:gDay.These are the primitive datatypes that represent dates and/or times.
    `boolean` | `isDecimalDatatype()` | Checks whether the supplied datatype is equal to xsd:decimal or one of the built-in datatypes that is derived from xsd:decimal.
    `boolean` | `isDerivedDatatype()` | Checks whether the supplied datatype is a derived XML Schema datatype.
    `boolean` | `isDurationDatatype()` | Checks whether the supplied datatype is equal to xsd:duration, xsd:dayTimeDuration, xsd:yearMonthDuration.
    `boolean` | `isFloatingPointDatatype()` | Checks whether the supplied datatype is equal to xsd:float or xsd:double.
    `boolean` | `isIntegerDatatype()` | Checks whether the supplied datatype is equal to xsd:integer or one of the built-in datatypes that is derived from xsd:integer.
    `boolean` | `isNumericDatatype()` | Checks whether the supplied datatype is a numeric datatype, i.e.if it is equal to xsd:float, xsd:double, xsd:decimal or one of the datatypes derived from xsd:decimal.
    `boolean` | `isOrderedDatatype()` | Checks whether the supplied datatype is ordered.The values of an ordered datatype can be compared to each other using operators like < and >.
    `boolean` | `isPrimitiveDatatype()` | Checks whether the supplied datatype is a primitive XML Schema datatype.
    `boolean` | `isXSDDatatype()` | Checks whether the supplied datatype is an XML Schema Datatype.
    `String` | `toString()` |
    `static CoreDatatype.XSD` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CoreDatatype.XSD[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `asGEODatatype, asRDFDatatype, isGEODatatype, isRDFDatatype`

- - ### Enum Constant Detail

    - #### ENTITIES

          public static final CoreDatatype.XSD ENTITIES

    - #### ENTITY

          public static final CoreDatatype.XSD ENTITY

    - #### ID

          public static final CoreDatatype.XSD ID

    - #### IDREF

          public static final CoreDatatype.XSD IDREF

    - #### IDREFS

          public static final CoreDatatype.XSD IDREFS

    - #### NCNAME

          public static final CoreDatatype.XSD NCNAME

    - #### NMTOKEN

          public static final CoreDatatype.XSD NMTOKEN

    - #### NMTOKENS

          public static final CoreDatatype.XSD NMTOKENS

    - #### NOTATION

          public static final CoreDatatype.XSD NOTATION

    - #### NAME

          public static final CoreDatatype.XSD NAME

    - #### QNAME

          public static final CoreDatatype.XSD QNAME

    - #### ANYURI

          public static final CoreDatatype.XSD ANYURI

    - #### BASE64BINARY

          public static final CoreDatatype.XSD BASE64BINARY

    - #### BOOLEAN

          public static final CoreDatatype.XSD BOOLEAN

    - #### BYTE

          public static final CoreDatatype.XSD BYTE

    - #### DATE

          public static final CoreDatatype.XSD DATE

    - #### DATETIME

          public static final CoreDatatype.XSD DATETIME

    - #### DATETIMESTAMP

          public static final CoreDatatype.XSD DATETIMESTAMP

    - #### DAYTIMEDURATION

          public static final CoreDatatype.XSD DAYTIMEDURATION

    - #### DECIMAL

          public static final CoreDatatype.XSD DECIMAL

    - #### DOUBLE

          public static final CoreDatatype.XSD DOUBLE

    - #### DURATION

          public static final CoreDatatype.XSD DURATION

    - #### FLOAT

          public static final CoreDatatype.XSD FLOAT

    - #### GDAY

          public static final CoreDatatype.XSD GDAY

    - #### GMONTH

          public static final CoreDatatype.XSD GMONTH

    - #### GMONTHDAY

          public static final CoreDatatype.XSD GMONTHDAY

    - #### GYEAR

          public static final CoreDatatype.XSD GYEAR

    - #### GYEARMONTH

          public static final CoreDatatype.XSD GYEARMONTH

    - #### HEXBINARY

          public static final CoreDatatype.XSD HEXBINARY

    - #### INT

          public static final CoreDatatype.XSD INT

    - #### INTEGER

          public static final CoreDatatype.XSD INTEGER

    - #### LANGUAGE

          public static final CoreDatatype.XSD LANGUAGE

    - #### LONG

          public static final CoreDatatype.XSD LONG

    - #### NEGATIVE_INTEGER

          public static final CoreDatatype.XSD NEGATIVE_INTEGER

    - #### NON_NEGATIVE_INTEGER

          public static final CoreDatatype.XSD NON_NEGATIVE_INTEGER

    - #### NON_POSITIVE_INTEGER

          public static final CoreDatatype.XSD NON_POSITIVE_INTEGER

    - #### NORMALIZEDSTRING

          public static final CoreDatatype.XSD NORMALIZEDSTRING

    - #### POSITIVE_INTEGER

          public static final CoreDatatype.XSD POSITIVE_INTEGER

    - #### SHORT

          public static final CoreDatatype.XSD SHORT

    - #### STRING

          public static final CoreDatatype.XSD STRING

    - #### TIME

          public static final CoreDatatype.XSD TIME

    - #### TOKEN

          public static final CoreDatatype.XSD TOKEN

    - #### UNSIGNED_BYTE

          public static final CoreDatatype.XSD UNSIGNED_BYTE

    - #### UNSIGNED_INT

          public static final CoreDatatype.XSD UNSIGNED_INT

    - #### UNSIGNED_LONG

          public static final CoreDatatype.XSD UNSIGNED_LONG

    - #### UNSIGNED_SHORT

          public static final CoreDatatype.XSD UNSIGNED_SHORT

    - #### YEARMONTHDURATION

          public static final CoreDatatype.XSD YEARMONTHDURATION

  - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static CoreDatatype.XSD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreDatatype.XSD c : CoreDatatype.XSD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreDatatype.XSD valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isPrimitiveDatatype

          public boolean isPrimitiveDatatype()

      Checks whether the supplied datatype is a primitive XML Schema datatype.
      Returns:
        true if the datatype is a primitive type

    - #### isDerivedDatatype

          public boolean isDerivedDatatype()

      Checks whether the supplied datatype is a derived XML Schema datatype.
      Returns:
        true if the datatype is a derived type

    - #### isBuiltInDatatype

          public boolean isBuiltInDatatype()

      Checks whether the supplied datatype is a built-in XML Schema datatype.
      Returns:
        true if it is a primitive or derived XML Schema type

    - #### isNumericDatatype

          public boolean isNumericDatatype()

      Checks whether the supplied datatype is a numeric datatype, i.e.if it is equal to xsd:float, xsd:double, xsd:decimal or one of the datatypes derived from xsd:decimal.
      Returns:
        true of it is a decimal or floating point type

    - #### isDecimalDatatype

          public boolean isDecimalDatatype()

      Checks whether the supplied datatype is equal to xsd:decimal or one of the built-in datatypes that is derived from xsd:decimal.
      Returns:
        true if it is a decimal datatype

    - #### isIntegerDatatype

          public boolean isIntegerDatatype()

      Checks whether the supplied datatype is equal to xsd:integer or one of the built-in datatypes that is derived from xsd:integer.
      Returns:
        true if it is an integer type

    - #### isFloatingPointDatatype

          public boolean isFloatingPointDatatype()

      Checks whether the supplied datatype is equal to xsd:float or xsd:double.
      Returns:
        true if it is a floating point type

    - #### isCalendarDatatype

          public boolean isCalendarDatatype()

      Checks whether the supplied datatype is equal to xsd:dateTime, xsd:date, xsd:time, xsd:gYearMonth, xsd:gMonthDay, xsd:gYear, xsd:gMonth or xsd:gDay.These are the primitive datatypes that represent dates and/or times.
      Returns:
        true if it is a calendar type
      See Also:
        `XMLGregorianCalendar`

    - #### isDurationDatatype

          public boolean isDurationDatatype()

      Checks whether the supplied datatype is equal to xsd:duration, xsd:dayTimeDuration, xsd:yearMonthDuration. These are the datatypes that represents durations.
      Returns:
        true if it is a duration type
      See Also:
        `Duration`

    - #### isOrderedDatatype

          public boolean isOrderedDatatype()

      Checks whether the supplied datatype is ordered.The values of an ordered datatype can be compared to each other using operators like < and >.
      Returns:
        true if the datatype is ordered

    - #### isXSDDatatype

          public boolean isXSDDatatype()

      Description copied from interface: `CoreDatatype`
      Checks whether the supplied datatype is an XML Schema Datatype.
      Specified by:
        `isXSDDatatype` in interface `CoreDatatype`
      Returns:
        true if the datatype is an XML Schema Datatype

    - #### getIri

          public IRI getIri()

      Specified by:
        `getIri` in interface `CoreDatatype`

    - #### asXSDDatatype

          public Optional<CoreDatatype.XSD> asXSDDatatype()

      Specified by:
        `asXSDDatatype` in interface `CoreDatatype`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<CoreDatatype.XSD>`